Bug 799867 - Non-terminal EndNode does not generate left event
Non-terminal EndNode does not generate left event
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity high
: ER6
: BRMS 5.3.0.GA
Assigned To: Maciej Swiderski
Tomas Schlosser
Depends On:
  Show dependency treegraph
Reported: 2012-03-05 05:15 EST by Tomas Schlosser
Modified: 2012-06-20 13:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Schlosser 2012-03-05 05:15:43 EST
Description of problem:
Triggered events (before, after) are not generated when an end node is marked as non terminal.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. add process event listener
2. start simple process with non-terminal end node
3. check for beforeNodeTriggered event
Actual results:
the one for non-terminal EndNode is missing

Expected results:
EndNode generates events as usual

Additional info:
The problem seems to be in org.jbpm.workflow.instance.node.EndNodeInstance in "else" branch on line 63.
Comment 1 Tomas Schlosser 2012-03-05 05:44:00 EST
Looked again and found out that only NodeLeftEvent is not fired (although it is fired for terminating EndNode).
Comment 2 Maciej Swiderski 2012-03-23 06:43:04 EDT
pull request already merged into 5.2.x branch
Comment 3 Ryan Zhang 2012-04-23 03:39:42 EDT
Update status to ON_QA. Please verify them against ER6.

Note You need to log in before you can comment on or make changes to this bug.